import ctypes
from typing import List, Optional
from .__library__ import lib, get_error


class MpLutCompression:
    """
    Mixed Pixel Comression Function enum. The mixed pixel lookup table contains more
    useful information in some parts of the table then others. We can compress the
    less useful information by taking the sqrt() or log() of the table. Currently
    only the sqrt() is implimented.
    """

    NONE = 0
    "No compression function is used"

    SQRT = 1
    "The sqrt function is used"

    LOG2 = 2
    "The natural log"

    LOG10 = 3
    "Use log10"

    BINARY = 4
    "Knocking out binary bits to compress the table"



